import React from 'react';
import ReactDOM from 'react-dom';
import Page from 'Common/Page/';
import CodeBlock from 'Common/CodeBlock';

import Head from './index';

class App extends React.Component {
  state = {
    title: 'My Page Title',
    publishPath: 'interactives/2019/politico-style-demo/',
    social: {
      'fbook': {
        'card_title': '',
        'card_description': '',
      },
      'twitter': {
        'card_title': '',
        'share_tweet': '',
        'card_description': '',
      },
      'image': {
        'url': '',
        'alt': '<Text>',
        'type': 'image/jpeg',
        'width': '600',
        'height': '300',
      },
    },
  };

  render() {
    return (
      <Page title='Head'>
        <Head {...this.state} />
        <CodeBlock
          value={`import { Head } from '@politico/interactive-style';

const title = "My Page Title"
const publishPath = "interactives/2019/politico-style-demo/"
const social = {
  'fbook': {
    'card_title': '',
    'card_description': '',
  },
  'twitter': {
    'card_title': '',
    'share_tweet': '',
    'card_description': '',
  },
  'image': {
    'url': '',
    'alt': '<Text>',
    'type': 'image/jpeg',
    'width': '600',
    'height': '300',
  },
}

<Head tilte={title} publishPath={publishPath} social={social} />

/**
 * You can also choose to exclude certain sections with the "no-sectionName" props.
 * These include:
 * - no-html
 * - no-title
 * - no-meta
 * - no-social
 * - no-battletoads
 * - no-fontawesome
 * - no-typekit
 * - no-jquery
 * - no-adBlockCookie
 * - no-utag
 */

<Head tilte={title} publishPath={publishPath} no-typekit no-social />
        `}
        />
      </Page>
    );
  }
}

export default App;

ReactDOM.render(<App />, document.getElementById('app'));
